12064 COMPUTER AIDED DESIGN AND MANUFACTURING PRACTICAL

Predetermined 3D Objects (OR) 3D Solid Premitives

BOX

WEDGE

CONE

SPHERE

CYLINDER Converting 2D Plan into a 3D Model

TORUS

Draw the 2D Object using polyline command after using extrude , revolve commands and applying Boolean operation such as union, subtract, intersect commands.3DMesh Draw menu: Modeling » Meshes » 3D mesh Command entry: 3dmesh Enter size of mesh in M direction: Enter a value between 2 and 256 Enter size of mesh in N direction: Enter a value between 2 and 256

3DFace Draw menu: Modeling » Meshes » 3D Face Command entry: 3dface Specify first point or [Invisible]: Specify a point (1) or enter i

3D Poly Draw menu: 3D Polyline Command entry: 3dpoly Specify start point of polyline: Specify a point (1) Specify endpoint of line or [Undo]: Specify a point or enter an option Specify endpoint of line or [Undo]: Specify a point or enter an option Specify endpoint of line or [Close/Undo]: Specify a point or enter an option Creating surfaces Modeling » Meshes » Ruled Mesh Command: rulesurf Current wire frame density : SURFTAB1=current Select first defining curve: Select defining curve:

Modeling » Meshes » Revolved Mesh Command: revsurf Current wire frame density:SURFTAB1=current:SURFTAB2=current

Select object to revolve: select a line,arc,circle,or 2D or 3D POLYLINE Select object that defines axis of revolution: select a line or open 2D or 3D polyline.

Draw menu: modelling » Meshes » Tabulated Mes Command: tabsurf Select object for path curve Select object for direction vector: select a line or open polyline

Draw menu: Modeling » Meshes » Edge Mesh Command: edgesurf Current wire frame density: SURFTAB1=current SURFTAB2=current

Select object 1 for surface edge: Select object 2 for surface edge: Select object 3 for surface edge: Select object 4 for surface edge:

3D VIEW

View>3dview 1. SW- South West. 2. SE-South East. 3. NE-North East. 4. NW-North West. View ports Viewports are areas that display different views of your model. As you work on the Model tab, you can split the drawing area into one or more adjacent rectangular views known as model space viewports.

View menu : 3D Views » Viewpoint Command: vpoint Specify a view menu or [Rotate] <display compass and tripod>: Specify a point, enter r, or press ENTER to display a compass and axis tripod Using the X,Y,Z coordinate you enter, creates a vector that defines a direction from which the drawing can be viewed. The view defined is as if the viewer is looking from the point back at the origin (0,0,0).

Hide View menu: Hide Command entry: hide DView Command entry: dview Select object:

Model space Command : mspace Commands operate in either model space or paper space. You use model space (the Model tab) to do drafting and design work and to create drawings or three-dimensional models. two-dimensional

Paper space Command
model

On the Model tab, you can create drawings in model space.

Region Regions are two-dimensional areas you create from closed shapes or loops. Closed polylines, lines, and curves are valid selections. Curves include circular arcs, circles, elliptical arcs,

ellipses, and splines. Draw menu: Region Command entry: region Select objects: Use an object selection method and press ENTER . Pedit It is used to convert 2D Multiple entity to 2D Single entity. Command entry: pedit Select polyline or [Multiple]: Use an object selection method or enter m Extrude Draw menu: Modeling » Extrude Command entry: extrude Select objects to extrude: Specify height of extrusion or [Direction/Path/Taper angle] <default>: Specify a distance or enter p

Draw menu:

Modeling » Revolve

command: revolve dash board: 3D Make panel, Revolve current wire frame density: ISOLINE=4 select object to revolve: use an object selection method

Union Modify menu: Solid Editing » Union command:: union select objects: use an object selection method and press ENTER when you finish selecting objects

Subtract Modify menu: Solid Editing » Subtract command: subtract Select solids and regions to subtract from... Select objects: Use an object selection method and press ENTER when you finish Select solids and regions to subtract... Select objects: Use an object selection method and press ENTER when you finish

Align Modify menu: 3D Operations » Align Command : align

Select objects: Select the objects to align and press ENTER Specify either one, two, or three pairs of source points and definition points to align the selected objects. ALIGN Using One Pair of Points Specify first source point: Specify a point (1) Specify first destination point: Specify a point (2) Specify second source point: Press ENTER

Fillet Modify menu: Fillet Command entry: fillet Current settings: Mode = current, Radius = current Select first object or [Undo/Polyline/Radius/Trim/Multiple]: Use an object selection method or enter an option

Chamfer Modify menu: Chamfer Command entry: chamfer

(TRIM mode) Current chamfer Dist1 = current, Dist2 = current Select first line or [Undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]: Use an object selection method or enter an option.

3D Array Modify menu: 3D Operations » 3D Array Command entry: 3darray Select objects: Use an object selection method

Enter type of array [Rectangular/Polar] <R>: Enter an option or press ENTER

3D Mirror Command entry: mirror3d Grip tools available through the 3DMOVE and 3DROTATE commands to manipulate 3D objects. For more information about using grip tools, Select objects: Use an object selection method and press ENTER to finish Specify first point of mirror plane (3 points) or [Object/Last/Zaxis/View/XY/YZ/ZX/3points] <3points>: Enter an option, specify a point, or press ENTER

Rotate 3D Command entry: rotate3d It is recommended that you use the grip tools available through the 3DMOVE and 3DROTATE commands to manipulate 3D objects. For more information about using grip tools,. Select objects: Use an object selection method and press ENTER when you finish Specify first point on axis or define axis by [Object/Last/View/Xaxis/Yaxis/Zaxis/2points]: Specify a point, enter an option, or press ENTER

WORKING WITH UCS
The user coordinate system provides a movable coordinate system for coordinate entry, plans of cooperation, and viewing. Most AutoCAD geometric editing commands and dependent on the location and orientation of the UCS; objects are drawn on the XY Plane of the current UCS. Command: ucs Specify origin of new UCS or [zxis/3points/object/face/view/x/y/z]: 3D COORDINATE SYSTEM

DDUCS

PLAN

UCSICON Command : ucsicon ON/OFF/ALL/No origin/Origin<current>:

Developing LISP program
To develop an AutoLISP program with VLISP perform the following steps: 1. 2. 3. 4. 5. Design the program . Write the code. Format the code for readability. Check for the error in the program. Test and debug the program.

Constructing a list Car Returns the first element of a list (car list) Command: (car '(a b c)) A Command: (car '((a b) c)) (A B)

Cdr Returns a list containing all but the first element of the specified list (cdr list) Command: (cdr '(a b c)) (B C) Command: (cdr '((a b) c)) (C) Caar, cadr, caddr, cddr, cdar AutoLISP supports concatenations of CAR and CDR. (setq x ‘((ab) cd )) Then (caar x ) is equivalent to (car x) (cdar x) is equivalent to (cdr(car x)) (cadar x) is equivalent to (car(cdr(car x))) (cadr x) is equivalent to (car(cdr x)) (cddr x) is equivalent to (cdr(cdr x)) (caddr x) is equivalent to (car(cdr(cdr x))) returning A returning (B) returning B returning (C) returning (D) returning D

Member Searches a list for an occurrence of an expression and returns the remainder of the list, starting with the first occurrence of the expression (member expr lst) Command: (member 'c '(a b c d e)) (C D E) Length Returns an integer indicating the number of elements in a list (length lst) Command: (length '(a b c d)) 4 Command: (length '(a b (c d))) 3

List Takes any number of expressions and combines them into one list. (list expr….) (list ‘a’(bc)’d) Polar Returns the UCS 3D point at a specified angle and distance from a point
(polar pt ang dist)

returns (A B C)

pt A 2D or 3D point. ang An angle expressed in radians relative to the world X axis. Angles increase in the counterclockwise direction, independent of the current construction plane. dist Distance from the specified pt. Command: (polar '(1 1 3.5) 0.785398 1.414214) (2.0 2.0 3.5)

Input/output Functions User Function Description (entsel [msg]) Prompts the user to select a single object (entity) by specifying a point (getangle [pt] Pauses for user input of an angle, and returns that angle in radians [msg]) (getangle pt [msg]) Pauses for user input of a rectangle's second corner (getdist [pt] [msg]) Pauses for user input of a distance (getfiled title Prompts the user for a file name with the standard AutoCAD file dialog default ext flags) box, and returns that file name (getint [msg]) Pauses for user input of an integer, and returns that integer (getkword [msg]) Pauses for user input of a keyword, and returns that keyword (getorient [pt] Pauses for user input of an angle, and returns that angle in radians [msg]) (getpoint [pt] Pauses for user input of a point, and returns that point [msg]) (getreal [msg]) Pauses for user input of a real number, and returns that real number (getstring [cr] Pauses for user input of a string, and returns that string [msg]) (initget [bits] Establishes keywords for use by the next user input function call [string]) (nentsel [msg]) Prompts the user to select an object (entity) by specifying a point, and

(nentselp [msg] [pt])

provides access to the definition data contained within a complex object Provides similar functionality to that of the nentsel function without the need for user input

Function (graphscr) (grdraw from to color [highlight]) (grtext [box text [highlight]]) (grvecs vlist [trans]) (menucmd string) (menugroup groupname) (prin1 [expr [file-desc]]) (princ [expr [file-desc]]) (print [expr [file-desc]]) (prompt msg) (redraw [ename [mode]]) (terpri) (textpage) (textscr) (vports)

Display control functions Description Displays the AutoCAD graphics screen Draws a vector between two points, in the current viewport Writes text to the status line or to screen menu areas Draws multiple vectors on the graphics screen Issues menu commands, or sets and retrieves menu item status Verifies that a menu group is loaded Prints an expression to the command line or writes an expression to an open file Prints an expression to the command line, or writes an expression to an open file Prints an expression to the command line, or writes an expression to an open file Displays a string on your screen's prompt area Redraws the current viewport or a specified object (entity) in the current viewport Prints a newline to the Command line Switches from the graphics screen to the text screen Switches from the graphics screen to the text screen (like the AutoCAD Flip Screen function key) Returns a list of viewport descriptors for the current viewport configuration

Control structures If (if < test expr> <then expr> [<else expr>] (if (- 1 3) “YES! !” “NO.”) returns “no” (if (- 2 (+ 1 1)) “YES!!”) Cond ( cond (<text1> <result>…)…) (cond((=s”Y”)1) ((=s “Y”) 1) ((=s “N” 0) (t nil) Repeat (repeat <number> <expr>….) returns “YES”

(setq a 10) (setq b 100) Then: (repeat 4 (setq a (+ a 10)) (setq b (+ b 100)) ) returns 140 While (while<test expr> <expr>…) (setq radius 1) Then: (while (<= radius 10) (command “circle” ‘(6 4.5) radius (setq radius (1+ radius)) )

Arithmetic Functions Arithmetic functions Description Returns the sum of all numbers Subtracts the second and following numbers from the first and returns the difference Returns the product of all numbers Divides the first number by the product of the remaining numbers and returns the quotient Returns the bitwise NOT (1's complement) of the argument Returns the argument increased by 1 (incremented) Returns the argument reduced by 1 (decremented) Returns the absolute value of the argument Returns the arctangent of a number in radians Returns the cosine of an angle expressed in radians Returns the constant e (a real) raised to a specified power (the natural antilog) Returns a number raised to a specified power

Function (+ (add) [ number number] ...) (- (subtract) [number number] ...) (* (multiply) [number number] ...) (/ (divide) [number number] ...) (~ (bitwise NOT) int) (1+ (increment) number) (1- (decrement) number) (abs number) (atan num1 [num2]) (cos ang) (exp number) (expt base power)

(fix number) (float number) (gcd int1 int2) (log number) (logand [ int int ...])

Returns the conversion of a real into the nearest smaller integer Returns the conversion of a number into a real Returns the greatest common denominator of two integers Returns the natural log of a number as a real Returns the result of the logical bitwise AND of a list of integers Returns the result of the logical bitwise inclusive OR of a list of (logior [ int int ...]) integers Returns the logical bitwise shift of an integer by a specified (lsh [ int numbits]) number of bits (max [ number number ...]) Returns the largest of the numbers given (min [ number number ...]) Returns the smallest of the numbers given (minusp number) Verifies that a number is negative (rem [ num1 num2 ...]) Divides the first number by the second, and returns the remainder (sin ang) Returns the sine of an angle as a real expressed in radians (sqrt number) Returns the square root of a number as a real (zerop number) Verifies that a number evaluates to zero Trigonometric Functions Abs (abs <number>) this function returns the absolute value of number. Atan (atan<num1>) ATAN returns the arctangent of num1 in radians. Cos (cos <angle>) This function returns cosine of angle. Special functions Apply Eval Foreach Inters Lambda Mapcar Quote

RECTANGLE
LISP PROGRAM (defun c:rectan() (setq l (getreal "Enter the Length of rectangle:") b (getreal "Enter the Breath of rectangle:") sp (getpoint "Enter the starting point:") );setq (setq p2 (polar sp 0 l)) (setq p3 (polar p2 (/ pi 2) b)) (setq p4 (polar p3 pi l)) (command "pline" sp p2 p3 p4 "c") )

output Enter the Length of rectangle:50.0 Enter the Breath of rectangle:25.0 Enter the starting point:

CIRCLE
LISP PROGRAM (defun c:cir() (setq p1 (getpoint "Enter the center point:") cen (getreal "Enter the radius of the circle:") );setq (command "circle" p1 cen ) ) output Enter the center point:

Enter the radius of the circle:12.0

CONCENTRIC CIRCLES
LISP PROGRAM (defun c:concir() (setq n (getint "Enter the number of circles:") rad (getreal "Enter the radius of the circle:") cp (getpoint "Enter the center point:") i (getreal "Enter the increment in radius:") );setq (repeat n (command "circle" cp rad) (setq rad (+ rad i)) );repeat );defun

output Enter the number of circle: 20 Enter the radius of the circle: 15.0 Enter the increment in radius: 2.0

CHANGE COLORS AND LINE TYPES
LISP PROGRAM (defun c:concir() (setq n (getint "Enter the number of circles:") rad (getreal "Enter the radius of the circle:") cp (getpoint "Enter the center point:") i (getreal "Enter the increment in radius:") );setq (repeat n (command "circle" cp rad) (command "linetype" "set" "dashed" "") (command "color" "1")

(setq rad (+ rad i)) );repeat );defun

GENEVA GEAR MECHANISM
Aim: To draw the given 3D solid Geneva gear mechanism as per the dimensions and calculate the mass properties. System Requirements
1. Personal computer (Pentium processor) 2. MS Windows OS (Version 2000 or above)

3. AutoCAD software (release 2000 or above) 4. Laser jet printer for getting hard copies of student work Commands: 1. Limits 2. Zoom

3. Pline 4. Offset 5. Arc 6. Pedit 7. Array 8. Extrude 9. Subtract 10. Trim 11. Massprop

Result Thus the given 3D solid Geneva gear mechanism are drowned and mass properties are calculated.

GENEVA GEAR MECHANISM

ALL DIMENSIONS ARE IN INCH

CAST IRON BLOCK

ALL DIMENSIONS ARE IN mm

BEARING BLOCK

ALL DIMENSIONS ARE IN mm

STRAP JOINT WITH GIB AND COTTER

UNIVERSAL COUPLING

BUSHED BEARING

SCREW JACK

PART-II

CAM PRACTICAL
Numerical control system Controlling the movement of the various slides of a machine tool with the help of numbers, Letters and symbols is known as Numerical control system. Computer Numerical Control System The use of a dedicated computer, to perform the Basic numerical control functions is known as computer numerical control system. CNC Turning Centre CNC Lathes, are more appropriately called as Turning Centre. The turning centre for producing components of cylindrical shapes. The CNC Turning Centre are classified as follows Vertical turning centre Turn mill centre Multiple axis turning centre Twin turret turning centre

Multiple spindle turning centre CNC Machining Centre The CNC Milling machines are called as machining centre or manufacturing centre. It is a multifunctional machine tool. It is a single piece of automated production equipment. Which is capable of performing different operations like milling, drilling, boring, reaming, counter boring ,etc. Part program Part means component. Program means sequence of steps. Therefore the sequence of steps involved in producing components in a CNC Machine is known as part program. Method of creating part program Manual part programming Computer assisted part programming APT Programming Conversional programming Graphical programming Verbal programming NC Related dimensioning Absolute programming Incremental programming

Structure of a CNC part program N G X Y Z F S T M

N - Block Number G - Preparatory code function X Y Z - Co ordinate values F S T Feed Spindle speed Tool function

M - Miscellaneous code function Part program format Fixed sequential format TAB sequential format Word address format Interpolation

In CNC Machines, either the tool or the work slide move relative to each other. This movement of tool or the work slide may be straight line, circular arc, etc Canned cycle Canned cycle is employed for stock removal in multiple passes. This type of cycle is called as Fixed cycle. Canned cycle employed for Box turning cycle Box facing cycle Multiple turning cycles Peck drilling cycle Grooving cycle

PREPARATORY FUNCTION (G CODE)
G00-Rapid position G01-Linear interpolation G02-Circular interpolation (CW) G03-Circular interpolation(CCW) G20- Inch data input G21- Metric data input G28- Reference point return G40- Tool nose radius compensation cancel G50- Maximum spindle speed setting G70- Finishing cycle G71- stock removal in turning G72- stock removal in facing G74- peck drilling in z-axis G75- Multiple grooving cycle G76- Multiple thread cutting cycle G98- Feed per minute

MISCELLANEOUS FUNCTION (M CODE)
M03- Spindle rotation (cw) M05- Spindle stop M06- Tool change M08- Coolant ON M09- Coolant OFF M70- X-axis mirror ON M71- Y-axis mirror ON M80-X-axis mirror OFF M81-Y-axis mirror OFF M98- Sub program call M99- Sub program exit

SYNTAX FOR TURNING CENTRE (LATHE ) FAST TRAVERSE-G00
G00 X Z G00 => Fast Traverse X , Z => Co-ordinate values

LINEAR MOTION-G01
G01 X Z G01 => Linear motion X , Z => Co-ordinate values

REFERENCE POINT-G28
G28 U0 W0 G28 => Reference point U , W => Machine Reference Point

CIRCULAR INTERPOLATION-G02/G03
G02 X Z R F G03 X Z R F G02 => Clockwise circular interpolation G03 => Counter clockwise interpolation X , Z => Co-ordinate values R => Radius of the CW /CCW ARC

SINGLE TURNING CYCLE-G90
G90 X Z F G90 => Single Turning Cycle X , Z => Co-ordinate values F => Feed /minute

TAPER TURNING CYCLE-G90
G90 X Z R F G90 => Taper Turning Cycle X , Z => Co-ordinate values R => The difference in incremental of the cut start radius value and the cut finish Radius value F => Feed /minute

MULTIPLE TURNING-G71
G71 U R G71 P Q U W F G71 => Multiple Turning U => Depth of cut R => Relief amount P => Start block Q => End block U => Finishing allowance in the X axis W => Finishing allowance in the Z axis F => Feed /minute

FINISHING CYCLE-G70
G70 P Q F G70 => Finishing Cycle P => Start block Q => End block F => Feed /minute

PECK DRILLING CYCLE-G74
G74 R G74 X Z Q F G74 => Peck drilling cycle R => Relief amount X , Z => Co-ordinate values Q => Depth of cut in each pass ( microns) F => Feed/minute

GROOVING CYCLE-G75
G75 G75 R X Z P Q F

G75 => Grooving Cycle R => Return amount X , Z => Co-ordinate values P => Peck increment in X-axis (microns) Q => Stepping distance in Z-axis (microns) F => Feed /minute

MULTIPLE THREADING CYCLE-G76
G76 G76 P(m)(r)(a) X Z P Q(q1) Q(q2) R F

m => Repetitive count in finishing r => Pull out angle a => Angle of tool tip q1 => Minimum cutting depth R => Finishing allowance X , Z => Co-ordinate values P => Height of the thread as a radius value x 1000 q2 => Depth of the first cut as a radius value x 1000 F => Lead or Pitch of the thread

SYNTAX FOR MACHINING CENTRE (MILLING ) FAST TRAVERSE-G00
G00 X Y Z G00 => Fast Traverse X , Y , Z => Co-ordinate values

LINEAR MOTION-G01
G01 X Y Z G01 => Linear motion X , Y , Z => Co-ordinate values

REFERENCE POINT-G28
G28 X0 Y0 Z0 G28 => Reference point X , Y , Z => Machine Reference Point

CIRCULAR INTERPOLATION-G02/G03
G02 G03 X X Y Y R R F F

G02 => Clockwise circular interpolation G03 => Counter clockwise interpolation X , Y => Co-ordinate values R => Radius of the CW /CCW ARC

FAST PECK DRILLING CYCLE-G73
G73 X Y Z P Q R F G73 => Peck drilling cycle X , Y , Z => Co-ordinate values P => Dwell time in sec Q => Depth of cut for each peck drill always a positive incremental value R => Z coordinate of the R point F => Feed/minute

CIRCULAR POCKETING –G170-G171
G170 R(r1) P(p1) Q(q1) X(x1) Y(y1) Z(z1) G171 P(p2) S(s2) R(r2) F(f2) B(b2) J(j2) G170 => Roughing cycle r1 => Position of tool to start cycle for flat surface r1 = 0 p1 => 0 for roughing, => 1 for finishing q1 => Peck increment for each cut ( + value) x1,y1,z1 => co-ordinate values i1 => Finishing allowance for side j1 => Finishing allowance for pocket base k1 => Radius of circular pocket as CW ARC ( + value) G171 => Finishing cycle p2 => Cutter movement percentage s2 => Roughing spindle speed r2 => Roughing feed in Z direction b2 => Finish spindle speed j2 => Finishing feed, mm/min I(i1) J(j1) K(k1)

RECTANGULAR POCKETING –G172-G173

G172 I(i1) J(j1) K(k1) P(p1) Q(q1) G173 I(i2) K(k2) P(p2) T(t2) S(s2) G172 => Roughing cycle i1 => Length of the pocket in X- direction j1 => Length of the pocket in Y- direction k1 => Corner radius p1 => 0(roughing), =1(Finishing) q1 => depth of cut for each pass r1 => Absolute depth from surface x1 => Pocket corner X y1 => Pocket corner Y z1 => Absolute Z base of pocket G173 => Finishing cycle i2 => Pocket side finishing allowance k2 => Pocket side finishing allowance p2 => Cutter width percentage t2 => Tool number Finish s2 => Spindle speed, rpm r2 => Roughing feed in Z mm/min f2 => Roughing feed along XY b2 => Finishing spindle speed, rpm j2 => Finishing feed, mm/min z2 => safety Z position

R(r1) R(r2)

X(x1) Y(y1) Z(z1) F(f2) B(b2) J(j2) Z(z2)

AIM Write a manual part program for -------------------------------------------------------------for the components as shown in DWG. SYSTEM REQUIREMENTS
1. Personal computer (Pentium processor) 2. MS Windows OS (Version 2000 or above) 3. AutoCAD software (release 2000 or above) 4. CNC Lathe and Milling simulation software 5. Laser jet printer for getting hard copies of student work

PROCEDURE 1. Select control type from main menu and pick the Fanuc_ mill or Fanuc_turn. 2. File  New Cnc Program

3. Job/Tooling  Fill the correct data for Billet setting, Tool Offsets and Select Tooling. 4. Enter the Cnc Part Program in the CNC Editor.

5. 6. 7.

File  save as (save the cnc part program) Select Cycle start from Control panel. Simulation is done.

RESULT Thus the CNC Part Program was simulated successfully.

STEP TURNING

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. Select Metric Programming. 2. Billet length = 45

3. 4. 5. 6. 7.

Billet Diameter = 25 Billet X shift = 0 Billet Z shift = 0 X axis shift = 0 Z axis shift = 0

TOOL OFFSETS Select Tool No 2 SELECT TOOLING Double click Left-Hand tool from the tool list.

STEP TURNING
PART PROGRAM O0001 [BILLET X25 Z45 G21 G98 G28 U0 W0 M06 T0202 M03 S1200 G00 X25 Z1 G90 X25 Z-25 F40 X24.5 X24 X23.5 X23 X22.5 X22 X21.5 X21 X20.5 X20 G90 X19 Z-10 F40 X18.5 X18 X17.5 X17

X16.5 X16 X15.5 X15 X14.5 X14 X13.5 X13 X12.5 X12 X11.5 X11 X10.5 X10 G28 U0 W0 M05 M30

TAPER TURNING

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. Select Metric Programming.

2. 3. 4. 5. 6. 7.

Billet length = 60 Billet Diameter = 30 Billet X shift = 0 Billet Z shift = 0 X axis shift = 0 Z axis shift = 0

TOOL OFFSETS Select Tool No 2 and add Tool to Library. SELECT TOOLING Double click LeftHand tool from the tool list.

TAPER TURNING
PART PROGRAM O0002 [BILLET X30 Z80 G21 G98 G28 U0 W0 M06 T0202 M03 S1200 G00 X30 Z1 G90 X30 Z-20 F35 X29.5 X29 X28.5 X28 X27.5 X27 X26.5 X26 X25.5 X25 X24.5 X24 X23.5 X23 X22.5 X22

X21.5 X21 X20.5 X20 G28 U0 W0 G00 X30 Z-20 G90 X30 Z-40 R0 F35 X30 R-0.5 X30 R-1 X30 R-1.5 X30 R-2 X30 R-2.5 X30 R-3 X30 R-3.5 X30 R-4 X30 R-4.5 X30 R-5 G28 U0 W0 G00 X20 Z0 G90 X20 Z-10 R0 F35 X20 R-0.5 X20 R-1 X20 R-1.5 X20 R-2 X20 R-2.5 X20 R-3 X20 R-3.5 X20 R-4 X20 R-4.5 X20 R-5 G28 U0 W0 M05 M30

CIRCULAR INTERPOLATION

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. 2. 3. 4. 5. 6. 7. Select Metric Programming. Billet length = 45 Billet Diameter = 30 Billet X shift = 0 Billet Z shift = 0 X axis shift = 0 Z axis shift = 0

TOOL OFFSETS Select Tool No 2 and add Tool to Library. SELECT TOOLING Double click Left-Hand tool from the tool list.

CIRCULAR INTERPOLATION
PART PROGRAM O0003 [BILLET X30 Z45 G21 G98 G28 U0 W0 M06 T0202 M03 S1200 G00 X30 Z1 G71 U0.5 R1 G71 P10 Q20 U0.5 W0.5 F40 N10 G00 X0 Z0 G03 X20 Z-10 R10 G01 X20 Z-20 N20 G02 X30 Z-25 R5 G28 U0 W0 M03 S1400 G00 X30 Z1 G70 P10 Q20 F25 G28 U0 W0 M05 M30

MULTIPLE TURNING CYCLE

ALL DIMENSIONS ARE IN mm

BILLET SETTING 1. 2. 3. 4. 5. 6. 7. Select Metric Programming. Billet length = 40 Billet Diameter = 30 Billet X shift = 0 Billet Z shift = 0 X axis shift = 0 Z axis shift = 0

TOOL OFFSETS Select Tool No 2 and add Tool to Library. SELECT TOOLING Double click LeftHand tool from the tool list.

MULTIPLE TURNING CYCLE
PART PROGRAM O0004 [BILLET X30 Z45 G21 G98 G28 U0 W0 M06 T0202 M03 S1200 G00 X30 Z1 G71 U0.5 R1 G71 P10 Q20 U0.5 W0.5 F40 N10 G00 X0 Z0 G03 X10 Z-10 R10 G01 X10 Z-20 G01 X20 Z-30 N20 G02 X30 Z-35 R5 G28 U0 W0 M03 S1400 G00 X30 Z1 G70 P10 Q20 F25 G28 U0 W0 M05 M30

THREAD CUTTING AND GROOVING

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. Select Metric Programming.

2. 3. 4. 5. 6. 7.

Billet length = 75 Billet Diameter = 30 Billet X shift = 0 Billet Z shift = 0 X axis shift = 0 Z axis shift = 0

TOOL OFFSETS Select Tool No 2 Select Tool No 4 Select Tool No 6 and add Tool to Library. SELECT TOOLING Double click Left-Hand tool from the tool list. Double click Groove tool from the tool list. Double click ExlThr tool from the tool list

THREAD CUTTING AND GROOVING
PART PROGRAM O0005 [BILLET X30 Z75 G21 G98 G28 U0 W0 M06 T0202 M03 S1200 G00 X30 Z1 G90 X30 Z-55 F40 X29.5 X29 X28.5 X28 X27.5 X27 X26.5 X26 X25.5 X25 X24.5 X24 G28 U0 W0 M06 T0404

M03 S700 G00 X24 Z-55 G01 X23.75 F25 X23.5 X23.25 X23 X22.75 X22.5 X22.25 X22 X21.75 X21.5 X21.25 X21 X20.75 X20.5 X20.25 X20 G28 U0 W0 M06 T0606 M03 S350 G00 X24 Z0 G76 P031560 Q150 R0 G76 X22.5288 Z-50 P735.6 Q250 F1.2 G28 U0 W0 M05 M30

INTERNAL DRILLS AND BORES

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. Select Metric Programming. 2. Billet length = 55

3. 4. 5. 6. 7.

Billet Diameter = 30 Billet X shift = 0 Billet Z shift = 0 X axis shift = 0 Z axis shift = 0

TOOL OFFSETS Select Tool No 1 Select Tool No 2 and add Tool to Library. SELECT TOOLING Double click U!Drill tool from the tool list. Double click bore14m tool from the tool list.

INTERNAL DRILLS AND BORES
PART PROGRAM O0013 [BILLET X30 Y55 G21 G98 G28 U0 W0 M06 T0101 M03 S1200 G00 X0 Z2 G74 Z1 G74 X0 Z-35 Q500 F15 G28 U0 W0 M06 T0303 M03 S1000 G00 X15 Z1 G71 U0.2 R0.5 G71 P10 Q20 U0.1 W0.1 F20 N10 G01 X20 G01 X20 Z-15 F25 G01 X15 Z-25 G01 X15 Z-35 N20 G00 X15 Z0 G28 U0 W0 G70 P10 Q20 F15

G28 U0 W0 M05 M30

GROOVING

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. Select Metric Programming. 2. Billet length = 100 3. Billet Width = 100 4. Billet Depth = 10 5. Billet X shift = 0 6. Billet Y shift = 0 7. Billet Z shift = 0 8. X axis shift = 0 9. Y axis shift = 0 10. Z axis shift =0 TOOL OFFSETS Select Tool No 1 and add Tool to Library. SELECT TOOLING Double click End Mill tool from the tool list.

GROOVING
PART PROGRAM O0007 [BILLET X100 Y100 Z10 [TOOL DEF T1 D5 G21 G94 G91 G28 Z0. G28 X0. Y0. M06 T1 M03 S2000 G90 G00 X0 Y0 Z5 G00 X-25 Y-25 Z0 G01 Z-2 F50 G01 X15 Y-25 G03 X25 Y-15 R10 F25 G01 X25 Y15 G02 X15 Y25 R10 F25 G01 X-25 Y25 G01 X-25 Y-25 G00 Z0 G91G28 Z0 G28 X0 Y0 M05 M30

DRILLING

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. Select Metric Programming. 2. Billet length = 100 3. Billet Width = 100 4. Billet Depth = 10 5. Billet X shift = 0 6. Billet Y shift = 0 7. Billet Z shift = 0 8. X axis shift = 0 9. Y axis shift = 0 10. Z axis shift =0 TOOL OFFSETS Select Tool No 1 , 2 & 3 and add Tool to Library. SELECT TOOLING Double click Drill tool from the tool list.

DRILLING
O0008 [BILLET X100 Y100 Z10 [TOOL DEF T1 D20 T2 D15 T3 D5 G21 G94 G91 G28 Z0. G28 X0. Y0. M06 T1 M03 S1500 G90 G00 X25. Y25. Z5. G00 Z0. G73 X25. Y25. Z-12. P500 Q0.5 R2. F50. G80 G00 Z0. G00 Z5. M06 T2 G00 X25. Y75. G73 X25. Y75. Z-12. P500 Q0.5 R2. F50. G80 G00 Z0. G00 Z5. M06 T3 G00 X75. Y75. G73 X75. Y75. Z-12. P500 Q0.5 R2. F50. G80 G00 Z0. G00 Z5. G00 X75. Y25. G73 X75. Y25. Z-12. P500 Q0.5 R2. F50. G80 G00 Z0. G00 Z5. M05 M30

MIRRORING WITH SUBROURTINES

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. Select Metric Programming. 2. Billet length = 100 3. Billet Width = 100 4. Billet Depth = 10 5. Billet X shift = 50 6. Billet Y shift = 50 7. Billet Z shift = 0 8. X axis shift = 0 9. Y axis shift = 0 10. Z axis shift =0 TOOL OFFSETS Select Tool No 1 and add Tool to Library. SELECT TOOLING Double click End Mill tool from the tool list.

MIRRORING WITH SUBROUTINES
MAIN PROGRAM O0009 [BILLET X100 Y100 Z10 [TOOL DEF T1 D5 G21 G94 G91 G28 Z0. G28 X0. Y0. M06 T1 M03 S2000 G90 G00 X10. Y10. Z5. M98 P5000 M70 M98 P5000 M80 M70 M71 M98 P5000 M80 M81 M71 M98 P5000 G00 Z5. G91 G28 Z0. G28 X0. Y0. M05 M30 SUB PROGRAM O5000 G00 X10. Y10. Z0. G01 Z-2. F50. G01 X30. Y10. G03 X10. Y30. R20. G01 X10. Y10. G00 Z0. G00 Z5. M99

RECTANGULAR AND CIRCULAR POCKETING

ALL DIMENSIONS ARE IN mm BILLET SETTING 1. Select Metric Programming. 2. Billet length = 100 3. Billet Width = 100 4. Billet Depth = 10 5. Billet X shift = 50 6. Billet Y shift = 50 7. Billet Z shift = 0 8. X axis shift = 0 9. Y axis shift = 0 10. Z axis shift =0 TOOL OFFSETS Select Tool No 1 and add Tool to Library. SELECT TOOLING Double click End Mill tool from the tool list.

RECTANGULAR AND CIRCULAR POCKETING
O0010

[BILLET X100 Y100 Z10 [TOOL DEF T1 D5 G21 G94 G91 G28 Z0. G28 X0. Y0. M06 T1 M03 S1500 G90 G00 X70. Y30. G170 R0. P0 Q5 X70. Y30. Z-5. I0.2 J0.2 K12.5 G171 P50 S2000 R50 F150 B2500 J150. G28 X0. Y0. G00 X16. Y60. G172 I30. J30. K0. P0 Q1 R-5. X16. Y60. Z-5. G173 I0 K0 P75 T1 S2500 R75 F250 B2500 J200 Z5. G00 Z5. G28 X0. Y0. M05 M30

Sign up to vote on this title
UsefulNot useful